# 
# Makefile for Midas Rich Text C++ API sample program N2HTML
# Windows 32-bit version using Microsoft 32-bit Visual C++ compiler 
# and linker.
#
# This makefile assumes that the INCLUDE and LIB environment variables
# are set up to point at the Notes and C "include" and "lib" directories.

# Standard Windows 32-bit make definitions
!include <ntwin32.mak>


cpuflags = -Zpl  /DMIDAS_ISV /DR50 /DR60 /DMIDAS_ISV_IMPORT

# Master dependency

all : N2HTML.dll


# Link command.
           
N2HTML.dll : N2HTML.obj N2HTML.def midisv.lib
    $(link) $(linkdebug) -base:0x1C000000 \
      -dll -entry:_DllMainCRTStartup$(DLLENTRY) -def:N2HTML.def \
      -out:N2HTML.dll \
      N2HTML.obj \
                $(guilibs) notes.lib midisv.lib


# Compilation command.  

N2HTML.obj: N2HTML.cpp
   $(cc) $(cdebug) $(cflags) $(cpuflags) -Ow -DNT $(cvars) N2HTML.cpp
